### Class

# GskCrossFadeNode

#### Description [src]

    final class Gsk.CrossFadeNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node cross fading between two child nodes.

#### Hierarchy

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_cross_fade_node_new

Creates a `GskRenderNode` that will do a cross-fade between `start` and `end`.

#### Instance methods

###### gsk_cross_fade_node_get_end_child

Retrieves the child `GskRenderNode` at the end of the cross-fade.

###### gsk_cross_fade_node_get_progress

Retrieves the progress value of the cross fade.

###### gsk_cross_fade_node_get_start_child

Retrieves the child `GskRenderNode` at the beginning of the cross-fade.

##### Methods inherited from GskRenderNode (7)

###### gsk_render_node_draw

Draw the contents of `node` to the given cairo context.

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

###### gsk_render_node_get_node_type

Returns the type of the `node`.

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.